package com.rjconsultores.ventaboletos.dao.hibernate;

import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Order;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.PtoVtaSeguroDAO;
import com.rjconsultores.ventaboletos.entidad.PtoVtaSeguro;

@Repository("ptoVtaSeguroDAO")
public class PtoVtaSeguroHibernateDAO extends GenericHibernateDAO<PtoVtaSeguro, Integer>
		implements PtoVtaSeguroDAO {

	@Autowired
	public PtoVtaSeguroHibernateDAO(
			@Qualifier("sessionFactory") SessionFactory factory) {
		setSessionFactory(factory);
	}

	@Override
	public List<PtoVtaSeguro> obtenerTodos() {
		Criteria c = getSession().createCriteria(getPersistentClass());
		c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));
		c.addOrder(Order.asc("ptoVtaSeguroId"));

		return c.list();
	}

	public List<PtoVtaSeguro> buscar(int id) {
		Criteria c = getSession().createCriteria(getPersistentClass());
		c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));
		c.add(Restrictions.eq("ptoVtaSeguroId", id));

		return c.list();
	}

}
